program GTC
    use global_parameters
    use initial, only: gtc_initial, timer, gtc_final
    use equilibrium, only: eqdata
    implicit none
 
    integer i,ierror
    real(doubleprec) timecpu(10)
    character(len=16) cdate(4)
 
 ! Initialize MPI, OpenMP, Adios, PETSc, Random number generator etc
    call gtc_initial(cdate,timecpu)
 ! input parameters, equilibrium & profile data, coefficients for gyroaveraging & interpolation
    call eqdata
 
! Program finalize
    call gtc_final(cdate,timecpu)

end program GTC
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
